Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 219004
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Jeremy Olexa (darkside) <darkside@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: f.mensik <f.mensik@tiscali.cz>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 219004 depends on: Show dependency tree
Bug 219004 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2008-04-23 10:08 0000
I counld't build app-emulation/pearpc-0.4.ebuild package.
The original ebuild file was complaining, that it couldn't find enabled TUN/TAP
in actual kernel's .config file, but the option was enabled there.
I have Gentoo 2.0.0 running on x86 computer.


Here's my patch:
--- pearpc-0.4.ebuild_orig      2008-04-23 10:49:50.000000000 +0200
+++ pearpc-0.4.ebuild   2008-04-23 11:32:37.000000000 +0200
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/app-emulation/pearpc/pearpc-0.4.ebuild,v
1.7 2007/07/22 09:26:13 omp Exp $

-inherit eutils flag-o-matic linux-info
+inherit eutils flag-o-matic linux-mod linux-info

 DESCRIPTION="PowerPC Architecture Emulator"
 HOMEPAGE="http://pearpc.sourceforge.net/"
@@ -34,7 +34,10 @@
 }

 pkg_setup() {
-       linux_chkconfig_present TUN && die "You must have TUN/TAP enabled in
your kernel."
+       linux-mod_pkg_setup
+       if ! linux_chkconfig_present TUN; then
+               die "You must have TUN/TAP enabled in your kernel."
+       fi
 }

 src_compile() {



Reproducible: Always

------- Comment #1 From Jeremy Olexa (darkside) 2008-05-29 15:42:53 0000 -------
(In reply to comment #0)

> -       linux_chkconfig_present TUN && die "You must have TUN/TAP enabled in

Isn't the logic just wrong here. If it IS present then die? huh?

How about:
"linux_chkconfig_present TUN || die "You must have TUN/TAP enabled in ..."

------- Comment #2 From Jeremy Olexa (darkside) 2008-06-12 22:58:16 0000 -------
(In reply to comment #1)
> (In reply to comment #0)
> 
> > -       linux_chkconfig_present TUN && die "You must have TUN/TAP enabled in
> 
> Isn't the logic just wrong here. If it IS present then die? huh?
> 
> How about:
> "linux_chkconfig_present TUN || die "You must have TUN/TAP enabled in ..."
> 

I was wrong, sorry bout that. The ebuild was just plain wrong. I used your fix,
thanks!

------- Comment #3 From Jeremy Olexa (darkside) 2008-06-12 22:59:08 0000 -------
*** Bug 209625 has been marked as a duplicate of this bug. ***

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug